Subject: Proposals to clarify xyzIntervalValidData description

From: "C. M. Heard/VVNET, Inc." <[email-masked]>
Date: Thu, 11 Jun 1998 23:32:23 -0700 (PDT)

When the final edits to <draft-ietf-atommib-sonetng-02.txt> were made
in July 1996, seven IntervalValidData flags were added, largely at my
urging, so that it would be possible to indicate whether or not the
data for a given interval is valid or invalid in the sense defined
in ANSI T1.231-1993 Sec. 9.1.2.2.  The intent -- as I understood
it at the time -- was that one of these these flags would be set to
false(2) if the data stored for the corresponding interval interval
is incomplete or otherwise invalid because:

      - the data stored for this interval is for a period greater
      or less than 15 minutes;  or

      - some data is missing (e.g., when a near-end defect prevents
      some far-end data from being collected).

Similar objects also exist in the DS1 and DS3 MIBs.

The objects in question are

      sonetSectionIntervalValidData
      sonetLineIntervalValidData
      sonetFarEndLineIntervalValidData
      sonetPathIntervalValidData
      sonetFarEndPathIntervalValidData
      sonetVTIntervalValidData
      sonetFarEndVTIntervalValidData

      dsx1IntervalValidData
      dsx1FarEndIntervalValidData

      dsx3IntervalValidData
      dsx3FarEndIntervalValidData

and the all have the same description clause:

      "This variable indicates if there is valid data for this interval."

>From recent traffic on the atommib mailing list it is clear that
this description is not sufficient to convey the intent.  Here
is one of the comments:

Ken Chapman, 08 Jun 1998:
>
> I don't know if this has been rasied before, but...
> I find the wording of the DESCRIPTION clauses for all of the
> xyzIntervalValidData variable to be missleading:
> "This variable indicates if there is valid data for this interval."    XXX
> I think they should read:                                              XXX
> "This variable indicates if the data for this interval is valid."      XXX
>
> The way it is now, it sounds like it indicates if the data is
> *available* or not, rather than if the valid flag is set per
> ANSI T1.231 clause 9.1.2.2.
> Am I the only one that is confused?

I proposed the following alternative:

      "This variable assumes the value true(1) if the data stored       XXX
      for this interval is both valid and complete.  It is set to       XXX
      false(2) if the data stored for this interval is incomplete       XXX
      or otherwise invalid because:                                     XXX
                                                                        XXX
      - the data stored for this interval is for a period greater       XXX
      or less than 15 minutes;  or                                      XXX
                                                                        XXX
      - some data is missing (e.g., when a near-end defect prevents     XXX
      some far-end data from being collected)."                         XXX

I am willing to accept either proposal, but I think that _some_
change is needed.  What say the document editors, quality reviewers,
and other WG members?

Mike
--
C. M. Heard/VVNET, Inc.
[email-masked]

---

From: Rajesh Abbi <[email-masked]>
Date: Fri, 12 Jun 1998 09:59:29 -0400

Mike,

I'm glad to see the addition of the 'IntervalValidData' flags to the interval
tables.

I would also mention other cases where data may not be collected for
an interval by the agent:
- Agent unable to keep up with data collection due to equipment performance
   problems.
- Equipment may be in a state where data collection is interrupted.

An important case needs to be addressed explicitly in the MIBs - what happens
when an interface's ifAdminStatus is set to 'down' by a manager.  In my
opinion the data collection must be stopped while the ifAdminStatus is 'down'.
This will be another case when data in an interval may be incomplete.

What's the opinion of others ?

Rajesh

---

From: Rajesh Abbi <[email-masked]>
Date: Fri, 12 Jun 1998 09:59:29 -0400

Mike,

Rajesh

---

From: "C. M. Heard/VVNET, Inc." <[email-masked]>
Date: Fri, 12 Jun 1998 10:50:41 -0700 (PDT)

> - Equipment may be in a state where data collection is interrupted.

I think that this would be covered by the second of the two proposed
description clauses in my note (that's certainly what was intended):

If you think that additional clarification is needed, however, you are
welcome to propose specific text.

> What's the opinion of others ?

It's certainly true that data cannot be collected when the interface is
off-line.  It had not occurred to me that someone might assume otherwise.
Again, if you feel that additional clarification is needed, please propose
specific text.

Mike
--
C. M. Heard/VVNET, Inc.
[email-masked]

---

From: "C. M. Heard/VVNET, Inc." <[email-masked]>
Date: Fri, 12 Jun 1998 10:50:41 -0700 (PDT)

Mike
--
C. M. Heard/VVNET, Inc.
[email-masked]